Subject: Re: bug#9591: 24.0.50; buffer name completion

From: Chong Yidong <[email-masked]>
Date: Sat, 24 Sep 2011 14:44:41 -0400

Richard Stallman <[email-masked]> writes:

> If I type C-x k mes TAB, it completes to ` *message-viewer RMAIL'.
> Killing that buffer was rather a screw.
>
> I just fixed rmail so that won't be a screw.  But I think this
> completion is a bug in its own right, and should be fixed too.
>
> I think it is a bug to complete to a buffer name that starts with a
> space, when the user did not type an initial space in the buffer name.
> These buffers are not supposed to be visible unless the user
> specifically asks to see them.

Another fix might be for C-x k to use confirm-nonexistent-file-or-buffer
so that after you type TAB, Emacs prompts with [Confirm] when you try to
exit the minibuffer immediately.  `C-x b' already does this.

Maybe it would be good to enable this for "b" interactive codes.